{
  "name": "frontend",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "lint": "eslint . --ext js,jsx --report-unused-disable-directives --max-warnings 0",
    "preview": "vite preview",
    "test": "jest"
  },
  "dependencies": {
    "@react-input/mask": "^1.2.5",
    "@reduxjs/toolkit": "^2.2.6",
    "axios": "^1.7.2",
    "classnames": "^2.5.1",
    "dotenv": "^16.4.5",
    "formik": "^2.4.6",
    "frontend": "file:",
    "jwt-decode": "^4.0.0",
    "prop-types": "^15.8.1",
    "react": "^18.3.1",
    "react-dom": "^18.3.1",
    "react-infinite-scroll-component": "^6.1.0",
    "react-input-mask": "^2.0.4",
    "react-phone-input-2": "^2.15.1",
    "react-redux": "^9.1.2",
    "react-router-dom": "^6.24.1",
    "react-select": "^5.8.0",
    "react-stomp": "^5.1.0",
    "react-text-mask": "^5.5.0",
    "SASS": "npm:sass@^1.77.8",
    "sockjs": "^0.3.24",
    "sockjs-client": "^1.6.1",
    "stompjs": "^2.3.3",
    "styled-components": "^6.1.11",
    "text-mask-addons": "^3.8.0",
    "yet-another-react-lightbox": "^3.21.4",
    "yup": "^1.4.0"
  },
  "devDependencies": {
    "@babel/plugin-syntax-dynamic-import": "^7.8.3",
    "@babel/preset-env": "^7.24.7",
    "@babel/preset-react": "^7.24.7",
    "@testing-library/jest-dom": "^6.4.6",
    "@testing-library/react": "^16.0.0",
    "@testing-library/user-event": "^14.5.2",
    "@types/react": "^18.3.3",
    "@types/react-dom": "^18.3.0",
    "@vitejs/plugin-react": "^4.3.1",
    "babel-jest": "^24.1.0",
    "eslint": "^8.57.0",
    "eslint-plugin-react": "^7.34.2",
    "eslint-plugin-react-hooks": "^4.6.2",
    "eslint-plugin-react-refresh": "^0.4.7",
    "identity-obj-proxy": "^3.0.0",
    "jest": "^25.0.0",
    "jest-environment-jsdom": "^29.7.0",
    "jest-svg-transformer": "^1.0.0",
    "sass": "^1.77.6",
    "vite": "^5.3.1",
    "vite-plugin-svgr": "^4.2.0"
  },
  "jest": {
    "testEnvironment": "jsdom",
    "moduleNameMapper": {
      "^.+\\.(css|less|scss)$": "identity-obj-proxy",
      "\\.svg": "<rootDir>/__mocks__/svg.js"
    },
    "setupFilesAfterEnv": [
      "<rootDir>/setupTests.js"
    ]
  }
}
